Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044372
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-06-16 15:512020-07-02 18:59
ReporterkchoperenaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR20Q3
StatusclosedFix in branchFixed in SCM revisionc1cc97a1cdb2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044372: The assigncustomeraddrtoticketinv component is setting the locationModel instead of locationBillModel

DescriptionThe tap function of OB.OBPOSPointOfSale.UI.customeraddr.assigncustomeraddrtoticketinv component is setting the locationModel instead of locationBillModel.
Steps To Reproduce1.- Log in to the WebPOS
2.- Search a customer and assign it to the ticket
3.- Create an invoicing address and assign it to the ticket

EXPECTED RESULTS:

In developer tools, run the next command and check that the locationBillModel is not updated correctly

OB.MobileApp.model.receipt.get('bp').get('locationBillModel')
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121224)
hgbot (developer)
2020-07-02 13:31

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c1cc97a1cdb2c4c0d05766d8a5e0491658ded334
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Jul 02 17:01:05 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c1cc97a1cdb2c4c0d05766d8a5e0491658ded334 [^]

Fixed issue-44372: Updated Invoice Address to Customer when assigning to the receipt

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrdetailview.js
---

- Issue History
Date Modified Username Field Change
2020-06-16 15:51 kchoperena New Issue
2020-06-16 15:51 kchoperena Assigned To => Retail
2020-06-16 15:51 kchoperena Triggers an Emergency Pack => No
2020-06-23 10:37 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-06-24 07:03 ranjith_qualiantech_com Status new => scheduled
2020-07-02 13:31 hgbot Checkin
2020-07-02 13:31 hgbot Note Added: 0121224
2020-07-02 13:31 hgbot Status scheduled => resolved
2020-07-02 13:31 hgbot Resolution open => fixed
2020-07-02 13:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c1cc97a1cdb2c4c0d05766d8a5e0491658ded334 [^]
2020-07-02 18:59 marvintm Review Assigned To => marvintm
2020-07-02 18:59 marvintm Status resolved => closed
2020-07-02 18:59 marvintm Fixed in Version => RR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker